Payment Methods
Get Payment Method
GET
/
api
/
customers
/
{customerId}
/
cards
/
{cardId}
curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"recurrenceType": "unscheduled",
"expiryDate": "12/2027"
}
Retrieve details of a single saved payment method.
Authorization
Bearer <accessSecret>
Path Parameters
customerId
string
requiredThe customer UUID who owns the card.
cardId
string
requiredThe card identifier (from List Payment Methods response).
Response
id
string
Card identifier.
name
string
Cardholder name.
type
string
Card type (e.g., credit, debit).
lastFourDigits
string
Last 4 digits of the card number.
category
string
Card category.
cardType
string
Card type (e.g., DEBIT, CREDIT, PREPAID).
brand
string
Card network brand (e.g., VISA, MASTERCARD).
country
string
Card issuing country code.
recurrenceType
string
Recurrence type (unscheduled, recurring, installment). Default: unscheduled.
expiryDate
string
Card expiry date in MM/YYYY format.
curl --request GET \
--url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
--header 'Authorization: Bearer <token>'
{
"id": "card_abc123def456",
"name": "John Doe",
"type": "credit",
"lastFourDigits": "4242",
"category": "consumer",
"cardType": "DEBIT",
"brand": "VISA",
"country": "GB",
"recurrenceType": "unscheduled",
"expiryDate": "12/2027"
}